net.sf.jasperreports.data.cache

## Enum ValueLength

- java.lang.Object
- - java.lang.Enum<ValueLength>
  - - net.sf.jasperreports.data.cache.ValueLength

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ValueLength>

      public enum ValueLength
      extends java.lang.Enum<ValueLength>

  Version:
    $Id: ValueLength.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTE`
    `DOUBLE`
    `FLOAT`
    `INT`
    `LONG`
    `REFERENCE`
    `SHORT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `byteLength()`
    `static ValueLength` | `getNumberLength(long value)`
    `static ValueLength` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ValueLength[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTE

          public static final ValueLength BYTE

    - #### SHORT

          public static final ValueLength SHORT

    - #### INT

          public static final ValueLength INT

    - #### LONG

          public static final ValueLength LONG

    - #### FLOAT

          public static final ValueLength FLOAT

    - #### DOUBLE

          public static final ValueLength DOUBLE

    - #### REFERENCE

          public static final ValueLength REFERENCE

  - ### Method Detail

    - #### values

          public static ValueLength[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValueLength c : ValueLength.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValueLength valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### byteLength

          public int byteLength()

    - #### getNumberLength

          public static ValueLength getNumberLength(long value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com